Skip Navigation

[Resolved] Installing Toolset Views (v 3.6.8) is displaying a lot of errors

This is the technical support forum for Toolset - a suite of plugins for developing WordPress sites without writing PHP.

Everyone can read this forum, but only Toolset clients can post in it. Toolset support works 6 days per week, 19 hours per day.

Our next available supporter will start replying to tickets in about 1.50 hours from now. Thank you for your understanding.

Sun Mon Tue Wed Thu Fri Sat
- 9:00 – 13:00 9:00 – 13:00 9:00 – 13:00 9:00 – 13:00 9:00 – 13:00 -
- 14:00 – 18:00 14:00 – 18:00 14:00 – 18:00 14:00 – 18:00 14:00 – 18:00 -

Supporter timezone: Asia/Karachi (GMT+05:00)

This topic contains 9 replies, has 3 voices.

Last updated by Waqar 8 months ago.

Assisted by: Waqar.

Author
Posts
#2646637

Hi there,

We're using WordPress Version 6.3.1, and we have installed Toolset Views (v 3.6.8), but it's displaying a lot of error messages at the top when the plugin is activated. Below are the messages:
Deprecated: Creation of dynamic property Toolset_Object_Relationship::$relations is deprecated in /wp-content/plugins/wp-views/vendor/toolset/toolset-common/inc/toolset.object.relationship.class.php on line 18

Deprecated: Creation of dynamic property Toolset_Object_Relationship::$post_relationship_depth is deprecated in /wp-content/plugins/wp-views/vendor/toolset/toolset-common/inc/toolset.object.relationship.class.php on line 19

Deprecated: Creation of dynamic property Toolset_Object_Relationship::$post_relationship_track is deprecated in /wp-content/plugins/wp-views/vendor/toolset/toolset-common/inc/toolset.object.relationship.class.php on line 20

Deprecated: Creation of dynamic property Toolset_Object_Relationship::$post_relationship is deprecated in /wp-content/plugins/wp-views/vendor/toolset/toolset-common/inc/toolset.object.relationship.class.php on line 21

Warning: Cannot modify header information - headers already sent by (output started at /wp-content/plugins/wp-views/vendor/toolset/toolset-common/inc/toolset.object.relationship.class.php:18) in /home/sprucedev/public_html/sites/tsekwa/wp-admin/includes/misc.php on line 1431

Warning: Cannot modify header information - headers already sent by (output started at /wp-content/plugins/wp-views/vendor/toolset/toolset-common/inc/toolset.object.relationship.class.php:18) in /home/sprucedev/public_html/sites/tsekwa/wp-includes/functions.php on line 6935

Warning: Cannot modify header information - headers already sent by (output started at /wp-content/plugins/wp-views/vendor/toolset/toolset-common/inc/toolset.object.relationship.class.php:18) in /home/sprucedev/public_html/sites/tsekwa/wp-admin/admin-header.php on line 9

I've tried to deactivate all plugins except for Toolset Views and switched to a default WordPress theme, but the errors are still there.
Is this a known issue? What can we do?

Thank you!

#2646959

Hi,

Thank you for contacting us and I'd be happy to assist.

I've performed some website tests but couldn't reproduce these warnings and errors.

Can you please share the temporary admin login details of your website, so that I can see how Toolset relationships and fields are set up in the admin area?

Note: Your next reply will be private and making a complete backup copy is recommended before sharing the access details.

regards,
Waqar

#2647349

hidden link

#2647523

Thank you for sharing the access details.

I see that the website only has the Toolset Views plugin and not the Toolset Types plugin. Was the Toolset Types plugin previously active on this website?

Also, do I have your permission to download a clone/snapshot of your website to test this on a different server?

#2647705

Hi Waqar,

The Toolset Types plugin is not installed, only the Toolset View plugin is installed.
Please find a sharable dropbox link below to download the website package:
hidden link

#2648273

I've downloaded the website's clone, thank you.

I'll be running some tests on this clone and will share the findings, as soon as this testing completes.

Thank you for your patience.

#2649783

Hi Waqar,

Something that I want to mention. When we are using php version 8 or lower, the error messages doesn't show. If we are using PHP version 8.2, then the error messages shows.

Can this be fixed?

Thanks!

#2650133

Thank you for waiting, while I tested your website's clone on a couple of different servers.

My findings about the PHP versions are the same as yours.

I was able to fix these errors by installing and activating Toolset Types plugin.

You can download it from the Toolset downloads page at:
https://toolset.com/account/downloads/

Once the errors have been fixed, you can deactivate and delete the Types plugin and they won't return.

#2652681

Hi Waqar,

It works! After installing + activating the Toolset Types plugin, the error is gone.

Thank you so much for your help!

#2653173

Thanks for the update and glad that it worked.

You're welcome to mark this ticket as resolved and start a new one, for each new question or concern.

This ticket is now closed. If you're a Toolset client and need related help, please open a new support ticket.